<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_TransferOfSharebasedPaymentReserveOnVestingOfShareAwards" xlink:label="providentfinancialplc_TransferOfSharebasedPaymentReserveOnVestingOfShareAwards" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_RetailDeposits" xlink:label="providentfinancialplc_RetailDeposits" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_DistributableMergerReserve" xlink:label="providentfinancialplc_DistributableMergerReserve" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_ProfitBeforeTaxationAmortisationOfAcquisitionIntangiblesAndExceptionalItems" xlink:label="providentfinancialplc_ProfitBeforeTaxationAmortisationOfAcquisitionIntangiblesAndExceptionalItems" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_CurrentTaxChargeOnDisposalOfInvestments" xlink:label="providentfinancialplc_CurrentTaxChargeOnDisposalOfInvestments" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_ShareBasedPaymentCharge" xlink:label="providentfinancialplc_ShareBasedPaymentCharge" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_TransferOfCumulativeGainOnDisposalOfInvestment" xlink:label="providentfinancialplc_TransferOfCumulativeGainOnDisposalOfInvestment" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_RiskAdjustedNetInterestMargin" xlink:label="providentfinancialplc_RiskAdjustedNetInterestMargin" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_DeferredTaxCreditOnDisposalOfInvestments" xlink:label="providentfinancialplc_DeferredTaxCreditOnDisposalOfInvestments" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_NetInterestMargin" xlink:label="providentfinancialplc_NetInterestMargin" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_ExceptionalItems" xlink:label="providentfinancialplc_ExceptionalItems" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_NonDistributableMergerReserve" xlink:label="providentfinancialplc_NonDistributableMergerReserve" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_ImpactOfChangeInUKTaxRateOnItemsInOtherComprehensiveIncome" xlink:label="providentfinancialplc_ImpactOfChangeInUKTaxRateOnItemsInOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_LiquidAssetBufferAvailableToFinanceDayToDayOperations" xlink:label="providentfinancialplc_LiquidAssetBufferAvailableToFinanceDayToDayOperations" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_LiquidAssetBufferIncludedInCashAndCashEquivalents" xlink:label="providentfinancialplc_LiquidAssetBufferIncludedInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="213800u93szc44vxn635-2021-12-31.xsd#providentfinancialplc_CumulativeGoodwillWriteOff" xlink:label="providentfinancialplc_CumulativeGoodwillWriteOff" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_NetInterestMargin" xlink:to="label_providentfinancialplc_providentfinancialplcNetInterestMargin_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_RiskAdjustedNetInterestMargin" xlink:to="label_providentfinancialplc_providentfinancialplcRiskAdjustedNetInterestMargin_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_ProfitBeforeTaxationAmortisationOfAcquisitionIntangiblesAndExceptionalItems" xlink:to="label_providentfinancialplc_providentfinancialplcProfitBeforeTaxationAmortisationOfAcquisitionIntangiblesAndExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_ExceptionalItems" xlink:to="label_providentfinancialplc_providentfinancialplcExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_ImpactOfChangeInUKTaxRateOnItemsInOtherComprehensiveIncome" xlink:to="label_providentfinancialplc_providentfinancialplcImpactOfChangeInUKTaxRateOnItemsInOtherComprehensiveIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_DeferredTaxCreditOnDisposalOfInvestments" xlink:to="label_providentfinancialplc_providentfinancialplcDeferredTaxCreditOnDisposalOfInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_CurrentTaxChargeOnDisposalOfInvestments" xlink:to="label_providentfinancialplc_providentfinancialplcCurrentTaxChargeOnDisposalOfInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_RetailDeposits" xlink:to="label_providentfinancialplc_providentfinancialplcRetailDeposits_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_TransferOfCumulativeGainOnDisposalOfInvestment" xlink:to="label_providentfinancialplc_providentfinancialplcTransferOfCumulativeGainOnDisposalOfInvestment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_ShareBasedPaymentCharge" xlink:to="label_providentfinancialplc_providentfinancialplcShareBasedPaymentCharge_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_TransferOfSharebasedPaymentReserveOnVestingOfShareAwards" xlink:to="label_providentfinancialplc_providentfinancialplcTransferOfSharebasedPaymentReserveOnVestingOfShareAwards_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_CumulativeGoodwillWriteOff" xlink:to="label_providentfinancialplc_providentfinancialplcCumulativeGoodwillWriteOff_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_DistributableMergerReserve" xlink:to="label_providentfinancialplc_providentfinancialplcDistributableMergerReserve_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_NonDistributableMergerReserve" xlink:to="label_providentfinancialplc_providentfinancialplcNonDistributableMergerReserve_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_providentfinancialplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_LiquidAssetBufferIncludedInCashAndCashEquivalents" xlink:to="label_providentfinancialplc_providentfinancialplcLiquidAssetBufferIncludedInCashAndCashEquivalents_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="providentfinancialplc_LiquidAssetBufferAvailableToFinanceDayToDayOperations" xlink:to="label_providentfinancialplc_providentfinancialplcLiquidAssetBufferAvailableToFinanceDayToDayOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_providentfinancialplc_providentfinancialplcNetInterestMargin_Standard" id="providentfinancialplc_providentfinancialplcNetInterestMargin_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net interest margin</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcRiskAdjustedNetInterestMargin_Standard" id="providentfinancialplc_providentfinancialplcRiskAdjustedNetInterestMargin_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Risk-adjusted net interest margin</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcProfitBeforeTaxationAmortisationOfAcquisitionIntangiblesAndExceptionalItems_Standard" id="providentfinancialplc_providentfinancialplcProfitBeforeTaxationAmortisationOfAcquisitionIntangiblesAndExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit before taxation, amortisation of acquisition intangibles and exceptional items</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcExceptionalItems_Standard" id="providentfinancialplc_providentfinancialplcExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional items</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcImpactOfChangeInUKTaxRateOnItemsInOtherComprehensiveIncome_Standard" id="providentfinancialplc_providentfinancialplcImpactOfChangeInUKTaxRateOnItemsInOtherComprehensiveIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Impact of change in UK tax rate on items in other comprehensive income</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcDeferredTaxCreditOnDisposalOfInvestments_Standard" id="providentfinancialplc_providentfinancialplcDeferredTaxCreditOnDisposalOfInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred tax credit on disposal of investments</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcCurrentTaxChargeOnDisposalOfInvestments_Standard" id="providentfinancialplc_providentfinancialplcCurrentTaxChargeOnDisposalOfInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current tax charge on disposal of investments</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcRetailDeposits_Standard" id="providentfinancialplc_providentfinancialplcRetailDeposits_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Retail deposits</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcTransferOfCumulativeGainOnDisposalOfInvestment_Standard" id="providentfinancialplc_providentfinancialplcTransferOfCumulativeGainOnDisposalOfInvestment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer of cumulative gain on disposal of investment</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcShareBasedPaymentCharge_Standard" id="providentfinancialplc_providentfinancialplcShareBasedPaymentCharge_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share-based payment charge</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcTransferOfSharebasedPaymentReserveOnVestingOfShareAwards_Standard" id="providentfinancialplc_providentfinancialplcTransferOfSharebasedPaymentReserveOnVestingOfShareAwards_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer of share-based payment reserve on vesting of share awards</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcCumulativeGoodwillWriteOff_Standard" id="providentfinancialplc_providentfinancialplcCumulativeGoodwillWriteOff_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cumulative goodwill write-off</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcDistributableMergerReserve_Standard" id="providentfinancialplc_providentfinancialplcDistributableMergerReserve_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Distributable merger reserve</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcNonDistributableMergerReserve_Standard" id="providentfinancialplc_providentfinancialplcNonDistributableMergerReserve_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non-distributable merger reserve</label>
    <label xlink:label="label_providentfinancialplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" id="providentfinancialplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents if different from statement of financial position</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcLiquidAssetBufferIncludedInCashAndCashEquivalents_Standard" id="providentfinancialplc_providentfinancialplcLiquidAssetBufferIncludedInCashAndCashEquivalents_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Liquid asset buffer included in cash and cash equivalents</label>
    <label xlink:label="label_providentfinancialplc_providentfinancialplcLiquidAssetBufferAvailableToFinanceDayToDayOperations_Standard" id="providentfinancialplc_providentfinancialplcLiquidAssetBufferAvailableToFinanceDayToDayOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Liquid asset buffer available to finance day-to-day operations</label>
  </labelLink>
</linkbase>